<?php

declare(strict_types=1);

namespace App\Settings;

use Spatie\LaravelSettings\Settings;

class AiSettings extends Settings
{
    public string $provider;

    public ?string $api_base_url;

    public ?string $api_key;

    public ?string $model;

    public bool $comment_moderation_enabled;

    public bool $content_optimization_enabled;

    public static function group(): string
    {
        return 'ai';
    }
}
